---
updatedAt: 2025-10-30T22:22:46.000Z
agentTools:
  projectIndex: https://docs.rejoiner.com/llms.txt
---

# Update or Create Customer Profile

This endpoint will update a the customer record with matching `email` or create a new customer profile record.

```
POST /customers/
```

## Payload Specification

| Param Name        | Required | Type        | Description                           |
| :---------------- | :------- | :---------- | :------------------------------------ |
| `email`           | Yes      | String      | The email address of the customer     |
| `first_name`      | No       | String      | The first name of the customer        |
| `last_name`       | No       | String      | The last name of the customer         |
| `phone`           | No       | String      | The phone number of the customer      |
| `timezone`        | No       | String      | The timezone of the customer          |
| `age`             | No       | Number      | The age of the customer               |
| `gender`          | No       | String      | Can be either `m` or `f`              |
| `language`        | No       | String      | No more than 2 characters             |
| `address1`        | No       | String      | Street address line 1                 |
| `address2`        | No       | String      | Street address line 2                 |
| `address3`        | No       | String      | Street address line 3                 |
| `city`            | No       | String      | Customer address city                 |
| `state`           | No       | String      | Customer address state                |
| `postal_code`     | No       | String      | Customer address zip code             |
| `country`         | No       | String      | Customer address country              |
| `birthdate`       | No       | String      | Must match format `YYYY-MM-DD`        |
| `is_unsubscribed` | No       | Boolean     | Whether the customer is unsubscribed  |
| `metadata`        | No       | JSON Object | Any arbitrary data about the customer |